import java.awt.event.*;

import javax.swing.*;

/**
 * Classe mio pannello
 *
 */
public class Grafica4Pannel extends JPanel implements ActionListener 
{
	
	/**
	 * Default serial version
	 */
	private static final long serialVersionUID = 1L;
	private Contatto[] lista;
	private JTextField txt1, txt2;

	public Grafica4Pannel(Contatto l[]) 
	{
		this.lista = l;
		ContattiTableModel tm = new ContattiTableModel(lista);
		JTable t = new JTable(tm);
		this.add(t);
		this.txt1 = new JTextField(25);
		
		// Facoltativo 1
		JButton b = new JButton("Ricerca");
		this.txt2 = new JTextField(30);
		this.txt2.setEditable(false);
		b.addActionListener(this);
		
		this.add(this.txt1);
		this.add(b);
		this.add(this.txt2);

	}


	public void actionPerformed(ActionEvent arg0) 
	{
		String key = this.txt1.getText();
		for (int i=0; i<this.lista.length; i++)
		{
			if (lista[i].nome.contains(key) ||
				lista[i].cognome.contains(key) ||
				lista[i].indirizzo.contains(key) ||
				lista[i].telefono.contains(key)) 
			{
				this.txt2.setText("Trovato " + lista[i].nome + " " + lista[i].cognome);
				return;
			}
			this.txt2.setText("NESSUNA CORRISPONDENZA TROVATA");
		}
	}

}
